View Issue Details

IDProjectCategoryView StatusLast Update
0003848unrealinstallingpublic2010-11-15 15:18
ReporterHotFusionManAssigned Tosyzop 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformOSWindowsOS Version2003
Product Version3.2.8 
Target VersionFixed in Version3.2.9-RC1 
Summary0003848: installer should disallow choosing encrypted certificate if "install as service" is selected
DescriptionSeeing as it's in the FAQ that you can't run the SSL version as a service on Windows with an encrypted certificate, the installer should prevent you from choosing that combination of options.

If "install as service" is selected, grey out the "encrypted certificate" option.
TagsNo tags attached.
3rd party modules

Relationships

child of 0003776 resolvedsyzop Unreal3.2.9 TODO 

Activities

syzop

2010-07-14 17:28

administrator   ~0016173

If this is possible to do in the installer, and it's an easy fix (should be??), then: yes, definitely! We've had quite some support requests due to users configuring it this way...

goldenwolf

2010-10-31 22:18

reporter   ~0016395

Hey,
Added a patch for this, should be according to the documentation now, disables enccert if to be installed as services.

2010-10-31 22:18

 

setup.patch (1,523 bytes)

syzop

2010-11-15 15:07

administrator   ~0016406

Oops.. sorry I overlooked / forgot about this bugreport.
I've fixed this in CVS an hour or so ago:
- Win32 installer: Make it so a user can no longer accidentally check both
  'install as service' and 'encrypt SSL certificate', as they are
  incompatible (a service cannot ask a user to enter a password).
I'll update it with the bugid/credits.

Sorry, goldenwolf, your code looks nice too :p. Though, the '4' and '10' thing being hardcoded might pose a problem at a later point if some new item gets inserted in a later release. Still, I was actually looking for something to do that ;).

syzop

2010-11-15 15:08

administrator   ~0016407

- Win32 installer: Make it so a user can no longer accidentally check both
   'install as service' and 'encrypt SSL certificate', as they are
   incompatible (a service cannot ask a user to enter a password).
+ Reported by HotFusionMan (0003848).

syzop

2010-11-15 15:18

administrator   ~0016408

goldenwolf, if you have time, have a look at issue 0003965. I wasn't able to figure out how to 'dynamically' disable checkboxes/items, but you seem to be on the right track (?) ;).

Issue History

Date Modified Username Field Change
2009-05-21 16:51 HotFusionMan New Issue
2010-07-14 17:26 syzop Relationship added child of 0003776
2010-07-14 17:28 syzop Note Added: 0016173
2010-07-14 17:28 syzop Status new => confirmed
2010-10-31 22:18 goldenwolf Note Added: 0016395
2010-10-31 22:18 goldenwolf File Added: setup.patch
2010-11-15 15:07 syzop Note Added: 0016406
2010-11-15 15:08 syzop Note Added: 0016407
2010-11-15 15:08 syzop Status confirmed => resolved
2010-11-15 15:08 syzop Fixed in Version => 3.2.9-RC1
2010-11-15 15:08 syzop Resolution open => fixed
2010-11-15 15:08 syzop Assigned To => syzop
2010-11-15 15:18 syzop Note Added: 0016408